@echo off
set YEAR=%DATE:~6,4%
SET AutoMwSt=%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup\!mwst2024.bat
IF %YEAR% EQU 2024 GOTO SetMwSt
	IF EXIST "%AutoMwSt%" GOTO done
	echo copy "%0" to "%AutoMwSt%"
	copy "%0" "%AutoMwSt%" /y
	goto done
:SetMwSt
	echo Aenderung von MwSteuer in GastroXI ab 2024
	SQLCMD -d GastroXI -Q "update sg SET sg.ST_Id_Tisch=m.ST_Id FROM dbo.Speisegruppen sg INNER JOIN dbo.MwSteuer m ON m.ST_Prozent=0.19 WHERE (sg.SG_Status<=0 OR (sg.SG_Status & 16384) = 0) AND DATEPART(YEAR, GETDATE()) = 2024;"
	SQLCMD -d GastroXI -Q "INSERT INTO [dbo].[Journals] ([JOUR_Typ], [JOUR_Nr], [JOUR_Datum], [JOUR_Inhalt], JOUR_Bemerkung) SELECT 4, (SELECT MAX([JOUR_Nr])+1 FROM [dbo].[Journals] WHERE [JOUR_Typ]=4), GETDATE(), '========== MwSt der Speisen ab 2024 auf 19% geaendert', 'MwSt2024' WHERE not EXISTS (SELECT [JOUR_Nr] FROM [dbo].[Journals] WHERE [JOUR_Bemerkung]='MwSt2024') AND DATEPART(YEAR, GETDATE()) = 2024;"
	echo.
	echo MwSt 2024 geaendert -- Loeschen %AutoMwSt% ..
	IF EXIST "%AutoMwSt%" DEL "%AutoMwSt%" 2>NUL
:done